org.apache.xml.serialize

## Class XML11Serializer

- java.lang.Object
- - org.apache.xml.serialize.BaseMarkupSerializer
  - - org.apache.xml.serialize.XMLSerializer
    - - org.apache.xml.serialize.XML11Serializer

- All Implemented Interfaces:
    DOMSerializer, Serializer, org.xml.sax.ContentHandler, org.xml.sax.DocumentHandler, org.xml.sax.DTDHandler, org.xml.sax.ext.DeclHandler, org.xml.sax.ext.LexicalHandler

  Deprecated.
  This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

      public class XML11Serializer
      extends XMLSerializer

  Implements an XML serializer supporting both DOM and SAX pretty serializing. For usage instructions see `Serializer`.

  If an output stream is used, the encoding is taken from the output format (defaults to `UTF-8`). If a writer is used, make sure the writer uses the same encoding (if applies) as specified in the output format.

  The serializer supports both DOM and SAX. SAX serializing is done by firing SAX events and using the serializer as a document handler. DOM serializing is done by calling `BaseMarkupSerializer.serialize(Document)` or by using DOM Level 3 `LSSerializer` and serializing with `LSSerializer.write(org.w3c.dom.Node, org.w3c.dom.ls.LSOutput)`, `LSSerializer.writeToString(org.w3c.dom.Node)`.

  If an I/O exception occurs while serializing, the serializer will not throw an exception directly, but only throw it at the end of serializing (either DOM or SAX's `DocumentHandler.endDocument()`.

  For elements that are not specified as whitespace preserving, the serializer will potentially break long text lines at space boundaries, indent lines, and serialize elements on separate lines. Line terminators will be regarded as spaces, and spaces at beginning of line will be stripped.

  Version:
    $Revision: 476047 $ $Date: 2006-11-17 09:57:45 +0530 (Fri, 17 Nov 2006) $
  Author:
    Assaf Arkin, Rahul Srivastava, Elena Litani IBM
  See Also:
    `Serializer`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `DEBUG` Deprecated.
    `protected boolean` | `fDOML1` Deprecated.
    `protected org.apache.xerces.util.NamespaceSupport` | `fLocalNSBinder` Deprecated. stores all namespace bindings on the current element
    `protected int` | `fNamespaceCounter` Deprecated.
    `protected boolean` | `fNamespaces` Deprecated. Controls whether namespace fixup should be performed during the serialization.
    `protected org.apache.xerces.util.NamespaceSupport` | `fNSBinder` Deprecated. stores namespaces in scope
    `protected org.apache.xerces.util.SymbolTable` | `fSymbolTable` Deprecated. symbol table for serialization
    `protected static java.lang.String` | `PREFIX` Deprecated.

    - ### Fields inherited from class org.apache.xml.serialize.XMLSerializer

      `fNamespacePrefixes`

    - ### Fields inherited from class org.apache.xml.serialize.BaseMarkupSerializer

      `_docTypePublicId, _docTypeSystemId, _encodingInfo, _format, _indenting, _prefixes, _printer, _started, fCurrentNode, fDOMError, fDOMErrorHandler, fDOMFilter, features, fStrBuffer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XML11Serializer()` Deprecated. Constructs a new serializer.
    `XML11Serializer(OutputFormat format)` Deprecated. Constructs a new serializer.
    `XML11Serializer(java.io.OutputStream output, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified output stream using the specified output format.
    `XML11Serializer(java.io.Writer writer, OutputFormat format)` Deprecated. Constructs a new serializer that writes to the specified writer using the specified output format.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] chars, int start, int length)` Deprecated. Receive notification of character data.
    `protected void` | `printCDATAText(java.lang.String text)` Deprecated.
    `protected void` | `printEscaped(java.lang.String source)` Deprecated. Escapes a string so it may be printed as text content or attribute value.
    `protected void` | `printText(char[] chars, int start, int length, boolean preserveSpace, boolean unescaped)` Deprecated. Called to print additional text with whitespace handling.
    `protected void` | `printText(java.lang.String text, boolean preserveSpace, boolean unescaped)` Deprecated.
    `protected void` | `printXMLChar(int ch)` Deprecated. print text data
    `boolean` | `reset()` Deprecated.
    `protected void` | `surrogates(int high, int low, boolean inContent)` Deprecated.

    - ### Methods inherited from class org.apache.xml.serialize.XMLSerializer

      `checkUnboundNamespacePrefixedNode, endElement, endElement, endElementIO, getEntityRef, serializeElement, setNamespaces, setOutputFormat, startDocument, startElement, startElement`

    - ### Methods inherited from class org.apache.xml.serialize.BaseMarkupSerializer

      `asContentHandler, asDocumentHandler, asDOMSerializer, attributeDecl, characters, cleanup, comment, comment, content, elementDecl, endCDATA, endDocument, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, enterElementState, externalEntityDecl, fatalError, getElementState, getPrefix, ignorableWhitespace, internalEntityDecl, isDocumentState, leaveElementState, modifyDOMError, notationDecl, prepare, printDoctypeURL, printEscaped, processingInstruction, processingInstructionIO, serialize, serialize, serialize, serializeNode, serializePreRoot, setDocumentLocator, setOutputByteStream, setOutputCharStream, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          protected static final boolean DEBUG

      Deprecated.
      See Also:
        Constant Field Values

    - #### fNSBinder

          protected org.apache.xerces.util.NamespaceSupport fNSBinder

      Deprecated.
      stores namespaces in scope

    - #### fLocalNSBinder

          protected org.apache.xerces.util.NamespaceSupport fLocalNSBinder

      Deprecated.
      stores all namespace bindings on the current element

    - #### fSymbolTable

          protected org.apache.xerces.util.SymbolTable fSymbolTable

      Deprecated.
      symbol table for serialization

    - #### fDOML1

          protected boolean fDOML1

      Deprecated.

    - #### fNamespaceCounter

          protected int fNamespaceCounter

      Deprecated.

    - #### PREFIX

          protected static final java.lang.String PREFIX

      Deprecated.
      See Also:
        Constant Field Values

    - #### fNamespaces

          protected boolean fNamespaces

      Deprecated.
      Controls whether namespace fixup should be performed during the serialization. NOTE: if this field is set to true the following fields need to be initialized: fNSBinder, fLocalNSBinder, fSymbolTable, XMLSymbols.EMPTY_STRING, fXmlSymbol, fXmlnsSymbol, fNamespaceCounter.

  - ### Constructor Detail

    - #### XML11Serializer

          public XML11Serializer()

      Deprecated.
      Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

    - #### XML11Serializer

          public XML11Serializer(OutputFormat format)

      Deprecated.
      Constructs a new serializer. The serializer cannot be used without calling `BaseMarkupSerializer.setOutputCharStream(java.io.Writer)` or `BaseMarkupSerializer.setOutputByteStream(java.io.OutputStream)` first.

    - #### XML11Serializer

          public XML11Serializer(java.io.Writer writer,
                         OutputFormat format)

      Deprecated.
      Constructs a new serializer that writes to the specified writer using the specified output format. If `format` is null, will use a default output format.
      Parameters:
        `writer` - The writer to use
        `format` - The output format to use, null for the default

    - #### XML11Serializer

          public XML11Serializer(java.io.OutputStream output,
                         OutputFormat format)

      Deprecated.
      Constructs a new serializer that writes to the specified output stream using the specified output format. If `format` is null, will use a default output format.
      Parameters:
        `output` - The output stream to use
        `format` - The output format to use, null for the default

  - ### Method Detail

    - #### characters

          public void characters(char[] chars,
                        int start,
                        int length)
                          throws org.xml.sax.SAXException

      Deprecated.
      Description copied from interface: `org.xml.sax.ContentHandler`
      Receive notification of character data.

      The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity so that the Locator provides useful information.

      The application must not attempt to read from the array outside of the specified range.

      Individual characters may consist of more than one Java `char` value. There are two important cases where this happens, because characters can't be represented in just sixteen bits. In one case, characters are represented in a Surrogate Pair, using two special Unicode values. Such characters are in the so-called "Astral Planes", with a code point above U+FFFF. A second case involves composite characters, such as a base character combining with one or more accent characters.

      Your code should not assume that algorithms using `char`-at-a-time idioms will be working in character units; in some cases they will split characters. This is relevant wherever XML permits arbitrary characters, such as attribute values, processing instruction data, and comments as well as in data reported from this method. It's also generally relevant whenever Java code manipulates internationalized text; the issue isn't unique to XML.

      Note that some parsers will report whitespace in element content using the `ignorableWhitespace` method rather than this one (validating parsers must do so).

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Specified by:
        `characters` in interface `org.xml.sax.DocumentHandler`
      Overrides:
        `characters` in class `BaseMarkupSerializer`
      Parameters:
        `chars` - the characters from the XML document
        `start` - the start position in the array
        `length` - the number of characters to read from the array
      Throws:
        `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
      See Also:
        `ContentHandler.ignorableWhitespace(char[], int, int)`, `Locator`

    - #### printEscaped

          protected void printEscaped(java.lang.String source)
                               throws java.io.IOException

      Deprecated.
      Description copied from class: `BaseMarkupSerializer`
      Escapes a string so it may be printed as text content or attribute value. Non printable characters are escaped using character references. Where the format specifies a deault entity reference, that reference is used (e.g. `&lt;`).
      Overrides:
        `printEscaped` in class `XMLSerializer`
      Parameters:
        `source` - The string to escape
      Throws:
        `java.io.IOException`

    - #### printCDATAText

          protected final void printCDATAText(java.lang.String text)
                                       throws java.io.IOException

      Deprecated.
      Overrides:
        `printCDATAText` in class `BaseMarkupSerializer`
      Throws:
        `java.io.IOException`

    - #### printXMLChar

          protected final void printXMLChar(int ch)
                                     throws java.io.IOException

      Deprecated.
      Description copied from class: `XMLSerializer`
      print text data
      Overrides:
        `printXMLChar` in class `XMLSerializer`
      Throws:
        `java.io.IOException`

    - #### surrogates

          protected final void surrogates(int high,
                        int low,
                        boolean inContent)
                                   throws java.io.IOException

      Deprecated.
      Overrides:
        `surrogates` in class `BaseMarkupSerializer`
      Throws:
        `java.io.IOException`

    - #### printText

          protected void printText(java.lang.String text,
                       boolean preserveSpace,
                       boolean unescaped)
                            throws java.io.IOException

      Deprecated.
      Overrides:
        `printText` in class `XMLSerializer`
      Throws:
        `java.io.IOException`

    - #### printText

          protected void printText(char[] chars,
                       int start,
                       int length,
                       boolean preserveSpace,
                       boolean unescaped)
                            throws java.io.IOException

      Deprecated.
      Description copied from class: `BaseMarkupSerializer`
      Called to print additional text with whitespace handling. If spaces are preserved, the text is printed as if by calling `BaseMarkupSerializer.printText(String,boolean,boolean)` with a call to `Printer.breakLine()` for each new line. If spaces are not preserved, the text is broken at space boundaries if longer than the line width; Multiple spaces are printed as such, but spaces at beginning of line are removed.
      Overrides:
        `printText` in class `XMLSerializer`
      Parameters:
        `chars` - The text to print
        `start` - The start offset
        `length` - The number of characters
        `preserveSpace` - Space preserving flag
        `unescaped` - Print unescaped
      Throws:
        `java.io.IOException`

    - #### reset

          public boolean reset()

      Deprecated.
      Overrides:
        `reset` in class `XMLSerializer`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.